summaryrefslogtreecommitdiff
path: root/.local/bin/statusbar
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/statusbar')
-rwxr-xr-x.local/bin/statusbar/timeinfo15
-rwxr-xr-x.local/bin/statusbar/volinfo4
2 files changed, 14 insertions, 5 deletions
diff --git a/.local/bin/statusbar/timeinfo b/.local/bin/statusbar/timeinfo
index fcfc1bd..884e165 100755
--- a/.local/bin/statusbar/timeinfo
+++ b/.local/bin/statusbar/timeinfo
@@ -2,10 +2,19 @@
ARG=${1:-$BLOCK_BUTTON}
+# echo -en '<b><u>' | xxd -p -
+TODAY_BEGIN='3c623e3c753e'
+# echo -en '</b></u>' | xxd -p -
+TODAY_END='3c2f753e3c2f623e'
+
case $ARG in
- 1) notify-send --urgency=low \
- "Calendar" \
- "$(cal -w -m)"
+ 1) notify-send --urgency=low \
+ "Calendar" \
+ "$(cal -w -m --color=always \
+ | xxd -p - \
+ | tr -d '\n' \
+ | sed -Ee "s/1b5b376d/${TODAY_BEGIN}/g;s/1b5b32376d/${TODAY_END}/g" \
+ | xxd -p -r -)"
;;
3) notify-send --urgency=low \
"Weather" \
diff --git a/.local/bin/statusbar/volinfo b/.local/bin/statusbar/volinfo
index 71d40ad..692fe4d 100755
--- a/.local/bin/statusbar/volinfo
+++ b/.local/bin/statusbar/volinfo
@@ -3,9 +3,9 @@
ARG=${1:-$BLOCK_BUTTON}
case $ARG in
- 1) pamixer -t && sigdwmblocks 6;;
+ 1) pamixer -t && sigdwmblocks 4;;
esac
VOL=$(pamixer --get-volume)
-pamixer --get-mute >/dev/null && echo -ne "\x0c\ufa80${VOL}\x0b" || echo -ne "\ufa7d${VOL}"
+[ "$(pamixer --get-mute)" == "true" ] && echo -ne "\x0c\ufa80${VOL}\x0b" || echo -ne "\ufa7d${VOL}"